/*Author: Daniel Jones
 *IDE: QT Creator
 *Compiler: MinGW
 *OS: Windows 10
 *Purpose: QT Widget that displays the verse of the day upon Windows 10 bootup.
 * Last edited: 9/1/2023
 */

#include "mainwindow.h"
#include "./ui_mainwindow.h"
#include <windows.h>
#include <iostream>



QString verse_display();
std::string verse_grab();


MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->verse->setText(verse_display());
}

MainWindow::~MainWindow()
{

    delete ui;
}



//This is the function that will load the verse into the program.
QString verse_display()
{
    std::string verse_text;

    verse_text = verse_grab();

    QString returned_string = QString::fromStdString(verse_text);

    return returned_string;
}


std::string verse_grab(){

    //Windows way of getting current month and time.
    SYSTEMTIME st = {0};
    GetLocalTime(&st);
    int cur_day = st.wDay;
    int cur_month = st.wMonth;

    std::string my_query = "select ";
    std::string my_verse;

    return my_verse;

}



void MainWindow::on_exitButton_clicked()
{
    QApplication::quit();
}

